All.css and olm.wasm are missed in a release latest 2.0.8319

Hi,

I’ve just deployed the latest jitsi-meet release 2.0.8319.

When I run this new release for the first time, I didn’t notice that these files are missed since chrome have loaded them from the cache, but I noticed this when I tried to open meeting under incognito mode in chrome. There are messages in a console that all.css and olm.wasm are missed.

Also, what I noticed is that jitsi is loading too long under incognito mode.

Can you check the contents of the jitsi-meet-web package with dpkg -L jitsi-meet-web ?

Hi @saghul,

I don’t have this folder. This is a manual deployment from scratch with no automated installation and this is a fully workable deployment. I have four servers:

  1. video server
  2. jibri server
  3. turn server
  4. jitsi meet

I’ve decided to upgrade to the latest version of jitsi meet. I’ve built jitsi-meet from the latest release and everything is fine except that I don’t have these files. Now, I start to remember that when I’ve built it from the previous release I also didn’t have these files and took them from another host where we installed jitsi from a ready-made installation.

How can I generate these files?

Are you running make?

Yes

This is what building the debian package does and it crates the files and place them in the correct folders.
Not sure why you will miss those. Any errors in the console when executing that?

look at the output of make do you see:

mkdir -p libs
cp \
		build/app.bundle.min.js \
		build/app.bundle.min.js.map \
....
cp \
		node_modules/@matrix-org/olm/olm.wasm \
		libs
....
./node_modules/.bin/sass css/main.scss css/all.bundle.css && \
	./node_modules/.bin/cleancss --skip-rebase css/all.bundle.css > css/all.css && \
	rm css/all.bundle.css

Hi @damencho,

I apologize for the late response. Here is the console output. I cannot see anything related to all.bundle.css and despite that code is compiled, there is the one error

NODE_OPTIONS=--max-old-space-size=8192 \
./node_modules/.bin/webpack
[BABEL] Note: The code generator has deoptimised the styling of /usr/share/jitsi-releases/jitsi-meet-8319/node_modules/@vladmandic/human/dist/human.esm.js as it exceeds the max of 500KB.
[BABEL] Note: The code generator has deoptimised the styling of /usr/share/jitsi-releases/jitsi-meet-8319/node_modules/lodash/lodash.js as it exceeds the max of 500KB.
[BABEL] Note: The code generator has deoptimised the styling of /usr/share/jitsi-releases/jitsi-meet-8319/node_modules/lodash/lodash.js as it exceeds the max of 500KB.
[BABEL] Note: The code generator has deoptimised the styling of /usr/share/jitsi-releases/jitsi-meet-8319/node_modules/lodash/lodash.js as it exceeds the max of 500KB.
[BABEL] Note: The code generator has deoptimised the styling of /usr/share/jitsi-releases/jitsi-meet-8319/node_modules/@jitsi/excalidraw/dist/excalidraw.production.min.js as it exceeds the max of 500KB.
[BABEL] Note: The code generator has deoptimised the styling of /usr/share/jitsi-releases/jitsi-meet-8319/node_modules/zxcvbn/lib/frequency_lists.js as it exceeds the max of 500KB.
asset app.bundle.min.js 4.7 MiB [compared for emit] [minimized] (name: app.bundle) 2 related assets
orphan modules 6.45 MiB [orphan] 2561 modules
runtime modules 2.77 KiB 10 modules
cacheable modules 10.5 MiB
  modules by path ./node_modules/ 4.96 MiB
    javascript modules 4.9 MiB 394 modules
    json modules 57.4 KiB
      modules by path ./node_modules/@giphy/ 2.66 KiB 2 modules
      + 2 modules
  modules by path ./react/features/ 59.1 KiB
    modules by path ./react/features/base/ 42 bytes 3 modules
    modules by path ./react/features/stream-effects/ 57.5 KiB 2 modules
    + 3 modules
  + 7 modules

WARNING in ./node_modules/@atlaskit/button/dist/esm/shared/button-base.js 74:17-28
Should not import the named export 'name' (imported as 'packageName') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/button/dist/esm/custom-theme-button/custom-theme-button.js 35:0-47 193:46-56
 @ ./node_modules/@atlaskit/button/dist/esm/custom-theme-button/index.js 1:0-48 1:0-48
 @ ./node_modules/@atlaskit/button/dist/esm/entry-points/custom-theme-button.js 1:0-56 1:0-56 1:0-56
 @ ./node_modules/@atlaskit/flag/dist/esm/flag-actions.js 26:0-58 52:25-31
 @ ./node_modules/@atlaskit/flag/dist/esm/flag.js 82:0-37 222:25-32
 @ ./node_modules/@atlaskit/flag/dist/esm/index.js 1:0-33 1:0-33
 @ ./react/features/notifications/components/web/Notification.js 1:0-34 48:44-48
 @ ./react/features/notifications/components/web/index.js 1:0-57 1:0-57
 @ ./react/features/notifications/components/index.web.js 1:0-22 1:0-22
 @ ./react/features/notifications/index.js 3:0-29 3:0-29
 @ ./conference.js 35:0-208 255:29-45 258:13-44 574:25-41 577:9-39 757:11-44 1674:27-43 1677:11-42 1682:25-41 1682:42-77 1686:25-48 1689:13-48 1690:9-41
 @ ./app.js 15:0-38 30:2-12

WARNING in ./node_modules/@atlaskit/button/dist/esm/shared/button-base.js 75:20-34
Should not import the named export 'version' (imported as 'packageVersion') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/button/dist/esm/custom-theme-button/custom-theme-button.js 35:0-47 193:46-56
 @ ./node_modules/@atlaskit/button/dist/esm/custom-theme-button/index.js 1:0-48 1:0-48
 @ ./node_modules/@atlaskit/button/dist/esm/entry-points/custom-theme-button.js 1:0-56 1:0-56 1:0-56
 @ ./node_modules/@atlaskit/flag/dist/esm/flag-actions.js 26:0-58 52:25-31
 @ ./node_modules/@atlaskit/flag/dist/esm/flag.js 82:0-37 222:25-32
 @ ./node_modules/@atlaskit/flag/dist/esm/index.js 1:0-33 1:0-33
 @ ./react/features/notifications/components/web/Notification.js 1:0-34 48:44-48
 @ ./react/features/notifications/components/web/index.js 1:0-57 1:0-57
 @ ./react/features/notifications/components/index.web.js 1:0-22 1:0-22
 @ ./react/features/notifications/index.js 3:0-29 3:0-29
 @ ./conference.js 35:0-208 255:29-45 258:13-44 574:25-41 577:9-39 757:11-44 1674:27-43 1677:11-42 1682:25-41 1682:42-77 1686:25-48 1689:13-48 1690:9-41
 @ ./app.js 15:0-38 30:2-12

WARNING in ./node_modules/@atlaskit/flag/dist/esm/auto-dismiss-flag.js 24:17-28
Should not import the named export 'name' (imported as 'packageName') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/flag/dist/esm/index.js 2:0-65 2:0-65
 @ ./react/features/notifications/components/web/Notification.js 1:0-34 48:44-48
 @ ./react/features/notifications/components/web/index.js 1:0-57 1:0-57
 @ ./react/features/notifications/components/index.web.js 1:0-22 1:0-22
 @ ./react/features/notifications/index.js 3:0-29 3:0-29
 @ ./conference.js 35:0-208 255:29-45 258:13-44 574:25-41 577:9-39 757:11-44 1674:27-43 1677:11-42 1682:25-41 1682:42-77 1686:25-48 1689:13-48 1690:9-41
 @ ./app.js 15:0-38 30:2-12

WARNING in ./node_modules/@atlaskit/flag/dist/esm/auto-dismiss-flag.js 25:20-34
Should not import the named export 'version' (imported as 'packageVersion') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/flag/dist/esm/index.js 2:0-65 2:0-65
 @ ./react/features/notifications/components/web/Notification.js 1:0-34 48:44-48
 @ ./react/features/notifications/components/web/index.js 1:0-57 1:0-57
 @ ./react/features/notifications/components/index.web.js 1:0-22 1:0-22
 @ ./react/features/notifications/index.js 3:0-29 3:0-29
 @ ./conference.js 35:0-208 255:29-45 258:13-44 574:25-41 577:9-39 757:11-44 1674:27-43 1677:11-42 1682:25-41 1682:42-77 1686:25-48 1689:13-48 1690:9-41
 @ ./app.js 15:0-38 30:2-12

WARNING in ./node_modules/@atlaskit/flag/dist/esm/flag.js 87:15-26
Should not import the named export 'name' (imported as 'packageName') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/flag/dist/esm/index.js 1:0-33 1:0-33
 @ ./react/features/notifications/components/web/Notification.js 1:0-34 48:44-48
 @ ./react/features/notifications/components/web/index.js 1:0-57 1:0-57
 @ ./react/features/notifications/components/index.web.js 1:0-22 1:0-22
 @ ./react/features/notifications/index.js 3:0-29 3:0-29
 @ ./conference.js 35:0-208 255:29-45 258:13-44 574:25-41 577:9-39 757:11-44 1674:27-43 1677:11-42 1682:25-41 1682:42-77 1686:25-48 1689:13-48 1690:9-41
 @ ./app.js 15:0-38 30:2-12

WARNING in ./node_modules/@atlaskit/flag/dist/esm/flag.js 88:18-32
Should not import the named export 'version' (imported as 'packageVersion') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/flag/dist/esm/index.js 1:0-33 1:0-33
 @ ./react/features/notifications/components/web/Notification.js 1:0-34 48:44-48
 @ ./react/features/notifications/components/web/index.js 1:0-57 1:0-57
 @ ./react/features/notifications/components/index.web.js 1:0-22 1:0-22
 @ ./react/features/notifications/index.js 3:0-29 3:0-29
 @ ./conference.js 35:0-208 255:29-45 258:13-44 574:25-41 577:9-39 757:11-44 1674:27-43 1677:11-42 1682:25-41 1682:42-77 1686:25-48 1689:13-48 1690:9-41
 @ ./app.js 15:0-38 30:2-12

WARNING in ./node_modules/@atlaskit/inline-dialog/dist/esm/InlineDialog/index.js 166:15-26
Should not import the named export 'name' (imported as 'packageName') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/inline-dialog/dist/esm/index.js 1:0-41 1:0-41
 @ ./react/features/base/react/components/web/MultiSelectAutocomplete.js 1:0-53 157:44-58
 @ ./react/features/base/react/components/web/index.js 7:0-79 7:0-79
 @ ./react/features/base/react/components/_.web.js 1:0-22 1:0-22
 @ ./react/features/base/react/components/index.js 1:0-20 1:0-20
 @ ./react/features/base/react/index.js 1:0-29 1:0-29
 @ ./react/index.web.js 7:0-49 11:11-22
 @ ./app.js 56:0-17

WARNING in ./node_modules/@atlaskit/inline-dialog/dist/esm/InlineDialog/index.js 167:18-32
Should not import the named export 'version' (imported as 'packageVersion') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/inline-dialog/dist/esm/index.js 1:0-41 1:0-41
 @ ./react/features/base/react/components/web/MultiSelectAutocomplete.js 1:0-53 157:44-58
 @ ./react/features/base/react/components/web/index.js 7:0-79 7:0-79
 @ ./react/features/base/react/components/_.web.js 1:0-22 1:0-22
 @ ./react/features/base/react/components/index.js 1:0-20 1:0-20
 @ ./react/features/base/react/index.js 1:0-29 1:0-29
 @ ./react/index.web.js 7:0-49 11:11-22
 @ ./app.js 56:0-17

WARNING in ./node_modules/@atlaskit/inline-dialog/dist/esm/InlineDialog/index.js 174:19-30
Should not import the named export 'name' (imported as 'packageName') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/inline-dialog/dist/esm/index.js 1:0-41 1:0-41
 @ ./react/features/base/react/components/web/MultiSelectAutocomplete.js 1:0-53 157:44-58
 @ ./react/features/base/react/components/web/index.js 7:0-79 7:0-79
 @ ./react/features/base/react/components/_.web.js 1:0-22 1:0-22
 @ ./react/features/base/react/components/index.js 1:0-20 1:0-20
 @ ./react/features/base/react/index.js 1:0-29 1:0-29
 @ ./react/index.web.js 7:0-49 11:11-22
 @ ./app.js 56:0-17

WARNING in ./node_modules/@atlaskit/inline-dialog/dist/esm/InlineDialog/index.js 175:22-36
Should not import the named export 'version' (imported as 'packageVersion') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/inline-dialog/dist/esm/index.js 1:0-41 1:0-41
 @ ./react/features/base/react/components/web/MultiSelectAutocomplete.js 1:0-53 157:44-58
 @ ./react/features/base/react/components/web/index.js 7:0-79 7:0-79
 @ ./react/features/base/react/components/_.web.js 1:0-22 1:0-22
 @ ./react/features/base/react/components/index.js 1:0-20 1:0-20
 @ ./react/features/base/react/index.js 1:0-29 1:0-29
 @ ./react/index.web.js 7:0-49 11:11-22
 @ ./app.js 56:0-17

WARNING in ./node_modules/@atlaskit/modal-dialog/dist/esm/components/Modal.js 201:15-26
Should not import the named export 'name' (imported as 'packageName') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/components/ModalWrapper.js 37:0-28 74:50-55
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/index.js 1:0-52 1:0-52
 @ ./react/features/base/ui/components/web/DialogContainer.tsx 1:0-57 34:67-82
 @ ./react/features/app/components/App.web.js 5:0-75 52:40-55
 @ ./react/features/app/components/index.js 1:0-22 1:0-22
 @ ./react/index.web.js 5:0-48 40:7-10
 @ ./app.js 56:0-17

WARNING in ./node_modules/@atlaskit/modal-dialog/dist/esm/components/Modal.js 202:18-32
Should not import the named export 'version' (imported as 'packageVersion') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/components/ModalWrapper.js 37:0-28 74:50-55
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/index.js 1:0-52 1:0-52
 @ ./react/features/base/ui/components/web/DialogContainer.tsx 1:0-57 34:67-82
 @ ./react/features/app/components/App.web.js 5:0-75 52:40-55
 @ ./react/features/app/components/index.js 1:0-22 1:0-22
 @ ./react/index.web.js 5:0-48 40:7-10
 @ ./app.js 56:0-17

WARNING in ./node_modules/@atlaskit/modal-dialog/dist/esm/components/Modal.js 209:19-30
Should not import the named export 'name' (imported as 'packageName') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/components/ModalWrapper.js 37:0-28 74:50-55
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/index.js 1:0-52 1:0-52
 @ ./react/features/base/ui/components/web/DialogContainer.tsx 1:0-57 34:67-82
 @ ./react/features/app/components/App.web.js 5:0-75 52:40-55
 @ ./react/features/app/components/index.js 1:0-22 1:0-22
 @ ./react/index.web.js 5:0-48 40:7-10
 @ ./app.js 56:0-17

WARNING in ./node_modules/@atlaskit/modal-dialog/dist/esm/components/Modal.js 210:22-36
Should not import the named export 'version' (imported as 'packageVersion') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/components/ModalWrapper.js 37:0-28 74:50-55
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/index.js 1:0-52 1:0-52
 @ ./react/features/base/ui/components/web/DialogContainer.tsx 1:0-57 34:67-82
 @ ./react/features/app/components/App.web.js 5:0-75 52:40-55
 @ ./react/features/app/components/index.js 1:0-22 1:0-22
 @ ./react/index.web.js 5:0-48 40:7-10
 @ ./app.js 56:0-17

WARNING in ./node_modules/@atlaskit/modal-dialog/dist/esm/components/Positioner.js 13:24-39
export 'PositionerFixed' (imported as 'PositionerFixed') was not found in '../styled/Modal' (possible exports: Dialog, FillScreen, PositionerAbsolute, PositionerRelative, dialogHeight, dialogWidth)
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/components/Modal.js 44:0-38 147:45-55
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/components/ModalWrapper.js 37:0-28 74:50-55
 @ ./node_modules/@atlaskit/modal-dialog/dist/esm/index.js 1:0-52 1:0-52
 @ ./react/features/base/ui/components/web/DialogContainer.tsx 1:0-57 34:67-82
 @ ./react/features/app/components/App.web.js 5:0-75 52:40-55
 @ ./react/features/app/components/index.js 1:0-22 1:0-22
 @ ./react/index.web.js 5:0-48 40:7-10
 @ ./app.js 56:0-17

WARNING in ./node_modules/@atlaskit/tabs/dist/esm/components/Tabs.js 196:15-26
Should not import the named export 'name' (imported as 'packageName') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/tabs/dist/esm/index.js 1:0-44 1:0-44
 @ ./react/features/desktop-picker/components/DesktopPicker.tsx 1:0-34 248:36-40
 @ ./react/features/desktop-picker/components/index.js 1:0-59 1:0-59
 @ ./react/features/desktop-picker/index.js 2:0-29 2:0-29
 @ ./conference.js 30:0-68 78:23-40
 @ ./app.js 15:0-38 30:2-12

WARNING in ./node_modules/@atlaskit/tabs/dist/esm/components/Tabs.js 197:18-32
Should not import the named export 'version' (imported as 'packageVersion') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/tabs/dist/esm/index.js 1:0-44 1:0-44
 @ ./react/features/desktop-picker/components/DesktopPicker.tsx 1:0-34 248:36-40
 @ ./react/features/desktop-picker/components/index.js 1:0-59 1:0-59
 @ ./react/features/desktop-picker/index.js 2:0-29 2:0-29
 @ ./conference.js 30:0-68 78:23-40
 @ ./app.js 15:0-38 30:2-12

WARNING in ./node_modules/@atlaskit/tabs/dist/esm/components/Tabs.js 204:19-30
Should not import the named export 'name' (imported as 'packageName') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/tabs/dist/esm/index.js 1:0-44 1:0-44
 @ ./react/features/desktop-picker/components/DesktopPicker.tsx 1:0-34 248:36-40
 @ ./react/features/desktop-picker/components/index.js 1:0-59 1:0-59
 @ ./react/features/desktop-picker/index.js 2:0-29 2:0-29
 @ ./conference.js 30:0-68 78:23-40
 @ ./app.js 15:0-38 30:2-12

WARNING in ./node_modules/@atlaskit/tabs/dist/esm/components/Tabs.js 205:22-36
Should not import the named export 'version' (imported as 'packageVersion') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/tabs/dist/esm/index.js 1:0-44 1:0-44
 @ ./react/features/desktop-picker/components/DesktopPicker.tsx 1:0-34 248:36-40
 @ ./react/features/desktop-picker/components/index.js 1:0-59 1:0-59
 @ ./react/features/desktop-picker/index.js 2:0-29 2:0-29
 @ ./conference.js 30:0-68 78:23-40
 @ ./app.js 15:0-38 30:2-12

WARNING in ./node_modules/@atlaskit/tooltip/dist/esm/Tooltip.js 48:15-26
Should not import the named export 'name' (imported as 'packageName') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/tooltip/dist/esm/index.js 1:0-36 1:0-36
 @ ./react/features/base/tooltip/components/TooltipWrapper.js 1:0-40 18:42-49
 @ ./react/features/base/tooltip/components/index.js 1:0-54 1:0-54
 @ ./react/features/base/tooltip/index.js 1:0-29 1:0-29
 @ ./react/features/virtual-background/components/VirtualBackgroundDialog.tsx 17:0-45 370:36-43 374:36-43 378:36-43 382:58-65
 @ ./modules/API/API.js 48:0-113 650:38-61
 @ ./modules/API/index.js 1:0-29 2:0-31
 @ ./app.js 16:0-32 29:2-5

WARNING in ./node_modules/@atlaskit/tooltip/dist/esm/Tooltip.js 49:18-32
Should not import the named export 'version' (imported as 'packageVersion') from default-exporting module (only default export is available soon)
 @ ./node_modules/@atlaskit/tooltip/dist/esm/index.js 1:0-36 1:0-36
 @ ./react/features/base/tooltip/components/TooltipWrapper.js 1:0-40 18:42-49
 @ ./react/features/base/tooltip/components/index.js 1:0-54 1:0-54
 @ ./react/features/base/tooltip/index.js 1:0-29 1:0-29
 @ ./react/features/virtual-background/components/VirtualBackgroundDialog.tsx 17:0-45 370:36-43 374:36-43 378:36-43 382:58-65
 @ ./modules/API/API.js 48:0-113 650:38-61
 @ ./modules/API/index.js 1:0-29 2:0-31
 @ ./app.js 16:0-32 29:2-5

webpack 5.80.0 compiled with 21 warnings in 421451 ms

asset alwaysontop.min.js 282 KiB [compared for emit] [minimized] (name: alwaysontop) 2 related assets
orphan modules 351 KiB [orphan] 239 modules
runtime modules 1010 bytes 5 modules
cacheable modules 1.06 MiB
  modules by path ./node_modules/react/ 9.8 KiB 4 modules
  modules by path ./node_modules/hoist-non-react-statics/ 6.12 KiB
    ./node_modules/hoist-non-react-statics/dist/hoist-non-react-statics.cjs.js 2.67 KiB [built] [code generated]
    + 2 modules
  modules by path ./node_modules/react-dom/ 174 KiB
    ./node_modules/react-dom/index.js 1.32 KiB [built] [code generated]
    ./node_modules/react-dom/cjs/react-dom.production.min.js 172 KiB [built] [code generated]
  modules by path ./node_modules/scheduler/ 6.76 KiB
    ./node_modules/scheduler/index.js 197 bytes [built] [code generated]
    ./node_modules/scheduler/cjs/scheduler.production.min.js 6.56 KiB [built] [code generated]
  + 4 modules
webpack 5.80.0 compiled successfully in 223996 ms

asset dial_in_info_bundle.min.js 492 KiB [compared for emit] [minimized] (name: dial_in_info_bundle) 2 related assets
orphan modules 378 KiB [orphan] 192 modules
runtime modules 1010 bytes 5 modules
cacheable modules 1.38 MiB
  modules by path ./node_modules/moment/ 315 KiB 52 modules
  modules by path ./node_modules/i18next-browser-languagedetector/ 11.5 KiB 10 modules
  modules by path ./react/features/ 378 KiB 2 modules
  modules by path ./node_modules/react/ 8.45 KiB 2 modules
  modules by path ./node_modules/react-dom/ 174 KiB 2 modules
  modules by path ./node_modules/scheduler/ 6.76 KiB
    ./node_modules/scheduler/index.js 197 bytes [built] [code generated]
    ./node_modules/scheduler/cjs/scheduler.production.min.js 6.56 KiB [built] [code generated]
  + 5 modules
webpack 5.80.0 compiled successfully in 208616 ms

asset do_external_connect.min.js 2.8 KiB [compared for emit] [minimized] (name: do_external_connect) 1 related asset
orphan modules 24.7 KiB [orphan] 5 modules
cacheable modules 29.2 KiB
  ./connection_optimization/do_external_connect.js + 5 modules 27.2 KiB [built] [code generated]
  ./node_modules/@hapi/bourne/lib/index.js 2.02 KiB [built] [code generated]
webpack 5.80.0 compiled successfully in 128603 ms

asset analytics-ga.min.js 2.17 KiB [compared for emit] [minimized] (name: analytics-ga) 1 related asset
orphan modules 6.93 KiB [orphan] 2 modules
./react/features/analytics/handlers/GoogleAnalyticsHandler.ts + 2 modules 11.6 KiB [built] [code generated]
webpack 5.80.0 compiled successfully in 72559 ms

asset close3.min.js 0 bytes [compared for emit] [minimized] (name: close3)
./static/close3.js 1 bytes [built] [code generated]
webpack 5.80.0 compiled successfully in 21208 ms

asset external_api.min.js 34.6 KiB [compared for emit] [minimized] (name: external_api) 1 related asset
orphan modules 53.2 KiB [orphan] 18 modules
runtime modules 663 bytes 3 modules
cacheable modules 127 KiB
  modules by path ./node_modules/ 34.9 KiB
    modules by path ./node_modules/@jitsi/ 19 KiB
      ./node_modules/@jitsi/logger/lib/index.js 3.73 KiB [built] [code generated]
      ./node_modules/@jitsi/logger/lib/Logger.js 5.38 KiB [built] [code generated]
      ./node_modules/@jitsi/logger/lib/LogCollector.js 9.87 KiB [built] [code generated]
    ./node_modules/events/events.js 13.9 KiB [built] [code generated]
    ./node_modules/@hapi/bourne/lib/index.js 2.02 KiB [built] [code generated]
  modules by path ./modules/API/external/*.js 91.9 KiB
    ./modules/API/external/index.js 171 bytes [built] [code generated]
    ./modules/API/external/external_api.js + 13 modules 91.8 KiB [built] [code generated]
webpack 5.80.0 compiled successfully in 132090 ms

asset face-landmarks-worker.min.js 1.81 MiB [compared for emit] [minimized] (name: face-landmarks-worker) 2 related assets
orphan modules 3.01 MiB [orphan] 508 modules
runtime modules 914 bytes 5 modules
cacheable modules 2.69 MiB
  modules by path ./ 2.69 MiB
    modules by path ./node_modules/@tensorflow/tfjs-backend-wasm/ 137 KiB
      ./node_modules/@tensorflow/tfjs-backend-wasm/wasm-out/tfjs-backend-wasm-th...(truncated) 94.9 KiB [built] [code generated]
      ./node_modules/@tensorflow/tfjs-backend-wasm/wasm-out/tfjs-backend-wasm.js 42.2 KiB [built] [code generated]
    ./react/features/face-landmarks/faceLandmarksWorker.ts + 293 modules 2.52 MiB [built] [code generated]
    ./node_modules/long/src/long.js 35.9 KiB [built] [code generated]
  + 7 modules
webpack 5.80.0 compiled successfully in 233808 ms

asset noise-suppressor-worklet.min.js 154 KiB [compared for emit] [minimized] (name: noise-suppressor-worklet) 1 related asset
orphan modules 181 KiB [orphan] 5 modules
./react/features/stream-effects/noise-suppression/NoiseSuppressorWorklet....(truncated) 189 KiB [built] [code generated]
webpack 5.80.0 compiled successfully in 113508 ms
rm -fr libs
mkdir -p libs
cp \
        build/app.bundle.min.js \
        build/app.bundle.min.js.map \
        build/do_external_connect.min.js \
        build/do_external_connect.min.js.map \
        build/external_api.min.js \
        build/external_api.min.js.map \
        build/dial_in_info_bundle.min.js \
        build/dial_in_info_bundle.min.js.map \
        build/alwaysontop.min.js \
        build/alwaysontop.min.js.map \
        ./analytics-ga.js \
        build/analytics-ga.min.js \
        build/analytics-ga.min.js.map \
        build/face-landmarks-worker.min.js \
        build/face-landmarks-worker.min.js.map \
        build/noise-suppressor-worklet.min.js \
        build/noise-suppressor-worklet.min.js.map \
        libs
cp \
        build/close3.min.js \
        build/close3.min.js.map \
        libs || true
cp: cannot stat 'build/close3.min.js.map': No such file or directory
cp \
        node_modules/@jitsi/rnnoise-wasm/dist/rnnoise.wasm \
        libs
cp -R \
        node_modules/@jitsi/excalidraw/dist/excalidraw-assets \
        libs/
cp \
        react/features/stream-effects/virtual-background/vendor/tflite/*.wasm \
        libs
cp \
        react/features/stream-effects/virtual-background/vendor/models/*.tflite \
        libs
cp \
        node_modules/lib-jitsi-meet/dist/umd/lib-jitsi-meet.min.js \
        node_modules/lib-jitsi-meet/dist/umd/lib-jitsi-meet.min.map \
        node_modules/lib-jitsi-meet/dist/umd/lib-jitsi-meet.e2ee-worker.js \
        node_modules/lib-jitsi-meet/connection_optimization/external_connect.js \
        node_modules/lib-jitsi-meet/modules/browser/capabilities.json \
        libs
cp: cannot stat 'node_modules/lib-jitsi-meet/connection_optimization/external_connect.js': No such file or directory
cp: cannot stat 'node_modules/lib-jitsi-meet/modules/browser/capabilities.json': No such file or directory
make: *** [Makefile:69: deploy-lib-jitsi-meet] Error 1

Also, there are two messages about two js files that are not found as it’s expected.

cp: cannot stat 'node_modules/lib-jitsi-meet/connection_optimization/external_connect.js': No such file or directory
cp: cannot stat 'node_modules/lib-jitsi-meet/modules/browser/capabilities.json': No such file or directory

Which version of the code is this? You have modifications?
You have non matching versions of lib-jitsi-meet and jitsi-meet or some other modifications that break the Makefile as you see in the output that’s the problem why you are missing some files.

Damn.

What I did a took jitsi-meet 2.0.8319 and lib-jitsi-meet v1623.0.0+c520877a. I guess I had to take lib-jitsi-meet tagged as jitsi-meet-8319.

Am I correct?

Nope the jitsi-meet is already have a correct lib-jitsi-meet version set in the package.json, you don’t need to take anything else.

In accordance with this guide, [How to] How to build Jitsi Meet from source: A developer’s guide

I understand it like lib-jitsi-meet should be taken from github, built and then lib-jitsi-meet folder inside of jitsi-meet must be pointed to newly built lib-jitsi-meet.

This is what I did.

This is in case you need a custom lib-jitsi-meet … otherwise you can skip that part. Even if you want a custom one you should match the versions and then do your modifications.
For jitsi-meet 2.0.8319 the correct lib-jitsi-meet version is:

Yes, I found it in the package.json when you pointed to it. Thanks a lot.